Article ID: 7066, created on Jan 5, 2010, last review on Apr 19, 2012

  • Applies to:
  • Plesk 9.2 for Linux/Unix

Symptômes

L'erreur suivante s'est affichée en essayant d'exécuter le script backup-unpack

~# /opt/psa/bin/backup-unpack
File "/opt/psa/bin/backup-unpack", line 5
import backup-unpack
^
SyntaxError: invalid syntax

Cause

Sur l'OS Debian, le script contient une erreur de syntaxe. Voici le script avec une erreur :

~# cat /opt/psa/bin/backup-unpack
#!/usr/bin/python2.4
 
import sys
sys.path[:0] = ["/opt/psa/admin/lib/python","/opt/psa/admin/share/backup_unpack","/usr/lib/sw/python2.4/site-packages"]
import backup-unpack
backup-unpack.main()


Vous devriez avoir backup_unpack et non backup-unpack.

Résolution

Ce problème sera résolu dans la prochaine mise à jour de Parallels Plesk Panel qui sortira après 9.2.3.
Dans Parallels Plesk Panel 9.2, nous vous conseillons de rectifier manuellement le script. Vous pouvez utiliser la commande suivante :

~# sed -i 's/backup-unpack/backup_unpack/g' /opt/psa/bin/backup-unpack

11a46d8a188d618564f4f0cead9a50f3 a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 6ef0db7f1685482449634a455d77d3f4 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF